/*
 * Copyright 2013-2018 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.alibaba.cloud.sidecar.nacos;

import com.alibaba.cloud.nacos.NacosDiscoveryProperties;
import com.alibaba.cloud.sidecar.SidecarProperties;

import org.springframework.util.StringUtils;

/**
 * @author yuhuangbin
 */
public class SidecarNacosDiscoveryProperties extends NacosDiscoveryProperties {

	SidecarProperties sidecarProperties;

	public SidecarNacosDiscoveryProperties(SidecarProperties sidecarProperties) {
		this.sidecarProperties = sidecarProperties;
	}

	@Override
	public void init() throws Exception {
		super.init();

		String ip = sidecarProperties.getIp();
		if (!StringUtils.isEmpty(ip)) {
			this.setIp(ip);
		}

		Integer port = sidecarProperties.getPort();
		this.setPort(port);
	}

}
